# Visualization
TKV3d
StdPrs

# StdPrs_ShadedShape Class Reference

`#include <StdPrs_ShadedShape.hxx>`

Inheritance diagram for StdPrs_ShadedShape:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const TopoDS_Shape &aShape, const Handle(Prs3d_Drawer)&aDrawer)

## Member Function Documentation

static Standard_EXPORT void StdPrs_ShadedShape::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const TopoDS_Shape & | aShape,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

void StdPrs_ShadedShape::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_ShadedShape::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_ShadedShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Prs3d_Root.

The documentation for this class was generated from the following file:

- StdPrs_ShadedShape.hxx